package com.yc.education.service.impl;

import com.yc.education.mapper.Classify02enMapper;
import com.yc.education.model.Classify02en;
import com.yc.education.service.Classify02enService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


@Service
public class Classify02enServiceImpl extends BaseService<Classify02en> implements Classify02enService {

    @Autowired
    private Classify02enMapper classify02enMapper;

    @Override
    public List<Classify02en> findClassByCid(Integer cid) {
        return classify02enMapper.findClassByCid(cid);
    }

    @Override
    public List<Classify02en> findAllClass02() {
        return classify02enMapper.findAllClass02();
    }

    @Override
    public void deleteByCid(Integer cid) {
        classify02enMapper.deleteByCid(cid);
    }
}
